> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Push App Providers

> Return FCM, APNs, and Web Push readiness and public identifiers without secret credentials.



## OpenAPI

````yaml api-reference/openapi.json GET /push/apps/{id}/providers
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /push/apps/{id}/providers:
    get:
      summary: List push provider readiness
      description: >-
        Return FCM, APNs, and Web Push readiness and public identifiers without
        secret credentials.
      parameters:
        - $ref: '#/components/parameters/PushResourceId'
      responses:
        '200':
          description: Provider readiness returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PushProvidersResponse'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PushResourceId:
      name: id
      in: path
      required: true
      description: Public push app ID, device installation ID, or UUID resource ID.
      schema:
        type: string
  schemas:
    PushProvidersResponse:
      type: object
      required:
        - status
        - data
      properties:
        status:
          type: integer
          description: HTTP response status code
        data:
          type: array
          items:
            $ref: '#/components/schemas/PushProvider'
    PushProvider:
      type: object
      required:
        - id
        - name
        - platform
        - status
        - android_package_name
        - apns_bundle_id
        - apns_environment
        - web_vapid_public_key
        - web_vapid_subject
        - readiness
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        platform:
          type: string
        status:
          type: string
        android_package_name:
          type: string
          nullable: true
        apns_bundle_id:
          type: string
          nullable: true
        apns_environment:
          type: string
          nullable: true
        web_vapid_public_key:
          type: string
          nullable: true
        web_vapid_subject:
          type: string
          nullable: true
        readiness:
          $ref: '#/components/schemas/PushProviderReadiness'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              $ref: '#/components/schemas/JsonValue'
            issues:
              type: array
              items:
                $ref: '#/components/schemas/ValidationIssue'
    PushProviderReadiness:
      type: object
      required:
        - ready
        - missing
      properties:
        ready:
          type: boolean
        missing:
          type: array
          items:
            type: string
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
    ValidationIssue:
      type: object
      required:
        - code
        - path
        - message
      properties:
        code:
          type: string
        path:
          type: string
          nullable: true
        message:
          type: string
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````